Managed Signing
Get Wallet

Get Managed Signing Wallet

GET
https://api-prod.useknit.io/api/v1/managed-signing/wallets/{walletId}
Scopemanaged-signing:readAuthBearer token

This endpoint retrieves a specific managed signing wallet by its local ID.

Path Parameters

ParameterTypeRequiredDescription
walletIdstringYesThe local wallet ID returned by create/list endpoints

Request

curl "https://api-prod.useknit.io/api/v1/managed-signing/wallets/<local-wallet-id>" \
  -H "Authorization: Bearer $KNIT_ACCESS_TOKEN" \
  -H "Accept: application/json"

Response

Response
{
  "statusCode": 200,
  "message": "Wallet retrieved",
  "data": {
    "id": "<local-wallet-id>",
    "businessId": "<business-id>",
    "type": "EVM",
    "networks": ["ETHEREUM_MAINNET"],
    "network": "ETHEREUM_MAINNET",
    "address": "0x...",
    "hdPath": "m/44'/60'/0'/0/0",
    "keyId": "<key-id>",
    "isActive": true,
    "merchantCallbackUrl": "https://example.com/callback",
    "createdAt": "2026-01-20T18:30:40.912Z",
    "updatedAt": "2026-01-20T18:30:40.912Z"
  },
  "success": true
}

Response Fields

FieldTypeDescription
idstringLocal wallet ID
businessIdstringYour business ID
typestringWallet type
networksarraySupported networks
networkstringPrimary network
addressstringWallet address
hdPathstringHD derivation path
keyIdstringKey identifier
isActivebooleanWallet active status
merchantCallbackUrlstringCallback URL
createdAtstringCreation timestamp
updatedAtstringLast update timestamp